// DEMODlg.h : header file
//

#if !defined(AFX_DEMODLG_H__DB20D92D_7D9B_46E9_A256_EE4B53BC74C5__INCLUDED_)
#define AFX_DEMODLG_H__DB20D92D_7D9B_46E9_A256_EE4B53BC74C5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


/////////////////////////////////////////////////////////////////////////////
// CDEMODlg dialog
#define MAINTIMER 1001                 //Main timer


class CDEMODlg : public CDialog
{
// Construction
public:
	CDEMODlg(CWnd* pParent = NULL);	// standard constructor
	CFont   pFont; 

// Dialog Data
	//{{AFX_DATA(CDEMODlg)
	enum { IDD = IDD_DEMO_DIALOG };
	CComboBox	m_ComboCard;
	CStatic	m_title;
	long	m_nAddX;
	long	m_nAddY;
	long	m_nAddZ;
	BOOL	m_bX;
	BOOL	m_bY;
	BOOL	m_bZ;
	long	m_nPulseX;
	long	m_nPulseY;
	long	m_nPulseZ;
	long	m_nSpeedX;
	long	m_nSpeedY;
	long	m_nSpeedZ;
	long	m_nStartvX;
	long	m_nStartvY;
	long	m_nStartvZ;
	BOOL	m_bDelayStatus;
	long	m_nDelayTime;
	long	m_nSpeedA;
	long	m_nStartvA;
	long	m_nPulseA;
	BOOL	m_bA;
	long	m_nAddA;
	long	m_nPulseB;
	long	m_nPulseC;
	BOOL	m_bB;
	BOOL	m_bC;
	long	m_nAddB;
	long	m_nAddC;
	long	m_nSpeedB;
	long	m_nSpeedC;
	long	m_nStartvB;
	long	m_nStartvC;
	int		m_nPdir;
	double	m_dTaccX;
	double	m_dTaccY;
	double	m_dTaccZ;
	double	m_dTaccC;
	double	m_dTaccA;
	double	m_dTaccB;
	long	m_nVaccA;
	long	m_nVaccB;
	long	m_nVaccC;
	long	m_nVaccX;
	long	m_nVaccY;
	long	m_nVaccZ;
	int		m_nAddMode;
	BOOL	m_bManualContinue;
	int		m_nCardIndex;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDEMODlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDEMODlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnButtonPmove();
	afx_msg void OnButtonInpmove();
	afx_msg void OnButtonStop();
	afx_msg void OnButtonIotest();
	afx_msg void OnButtonBasepara();
	afx_msg void OnButtonClearpos();
	afx_msg void OnDelay();
	afx_msg void OnButtonContinue();
	afx_msg void OnButtonChange();
	afx_msg void OnButtonAbsolute();
	afx_msg void OnButtonRelative();
	afx_msg void OnCheckInp();
	afx_msg void OnButtonManual();
	afx_msg void OnButtonLockmode();
	afx_msg void OnButtonLockpos();
	afx_msg void OnButtonClrlock();
	afx_msg void OnButtonFifo();
	afx_msg void OnSelchangeComboCardnum();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DEMODLG_H__DB20D92D_7D9B_46E9_A256_EE4B53BC74C5__INCLUDED_)
